{
  pkgs,
  config,
  ...
}: {
  programs.git = {
    enable = true;
    userName = "Michael Thomson";
    userEmail = "michael@michaelthomson.dev";
    diff-so-fancy = {
      enable = true;
    };
    extraConfig = {
      column = {
        ui = "auto";
      };
      branch = {
        sort = "-committerdate";
      };
      tag = {
        sort = "version:refname";
      };
      diff = {
        algorithm = "histogram";
        colorMoved = "plain";
        mnemonicPrefix = "true";
        renames = "true";
      };
      push = {
        default = "simple";
        autoSetupRemote = "true";
        followTags = "true";
      };
      fetch = {
        prune = "true";
        pruneTags = "true";
        all = "true";
      };
      help = {
        autocorrect = "prompt";
      };
      commit = {
        verbose = "true";
      };
      rerere = {
        enabled = "true";
        autoupdate = "true";
      };
      rebase = {
        autoSquash = "true";
        autoStash = "true";
        autoRefs = "true";
      };
      merge = {
        conflictstyle = "zdiff3";
      };
      pull = {
        rebase = "true";
      };
    };
    includes = [
      {
        condition = "gitdir:~/dev/work/";
        contents = {
          user = {
            email = "mthomson@konradgroup.com";
            name = "Michael Thomson";
          };
        };
      }
    ];
  };
}
